Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82706

Summary: gdmconfig menu item doesn't ask for root password nor does it recongnize the pam_timestamp cache authentication
Product: [Retired] Red Hat Public Beta Reporter: Jef Spaleta <jspaleta>
Component: gdmAssignee: Owen Taylor <otaylor>
Status: CLOSED WORKSFORME QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: phoebeKeywords: Triaged
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-04 21:09:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79579    

Description Jef Spaleta 2003-01-25 03:23:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20030115
Phoenix/0.5

Description of problem:
gdm-2.4.1.1-1

the gdmconfig menu entry in the gnome menus doesn't seem to handle
the pam_timestamp authentication mechanism.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Choose the Login Screen menu item in the System Settings Gnome Menu
 
    

Actual Results:  Error box, telling me I must be logged in as root.

Expected Results:  A dialog to enter the root password should appear if you are
not already authenticated via pam_timestamp to use root level tools.  And if you
are already authenticated, gdmconfig should start without asking for root
password.  

Additional info:

So far this is the only System Settings and/or System Tools that gives me a
"must be root error."  All of the other system level tools I've tried ask for
root password when needed.

Comment 1 Havoc Pennington 2003-02-03 20:04:40 UTC
Owen if you're rebuilding gdm anyway could you add this to the pam config file?

Comment 2 Owen Taylor 2003-02-04 21:09:57 UTC
Works here with me with gdm-2.4.1.1 (-2, but nothing has changed since
-1 in this area.)

And the config file looks right.